Subject: bug#74833: 31.0.50; Copy to OS clipboard doesn't work in macOS Terminal.app with xterm-mouse-mode enabled

From: Eli Zaretskii <[email-masked]>
Date: Mon, 16 Dec 2024 18:37:33 +0200

> Date: Sun, 15 Dec 2024 21:16:16 -0800
> From: Jared Finder <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>, Filipp Gunbin <[email-masked]>,
>  [email-masked], [email-masked]
> 
> On 2024-12-15 19:40, Gerd Möllmann wrote:
> > Jared Finder <[email-masked]> writes:
> > 
> >> What about adding a workaround that uses the command line tool pbcopy
> >> (Mac version of xclip)? The pbcopy program is distributed with MacOS
> >> by default.
> > 
> > The Elpa package xclip uses that.
> > 
> >   ;; This package allows Emacs to copy to and paste from the GUI 
> > clipboard
> >   ;; when running in text terminal.
> >   ;;
> >   ;; It can use external command-line tools for that, which you may 
> > need
> >   ;; to install in order for the package to work.
> 
> Thanks. I just tested xclip-mode from Elpa and it indeed works to get 
> copy operations work with Terminal.app. I think the best path forward 
> would be to just mention this package in the NEWS update as a workaround 
> for folks using Terminal.app. We could also recommend using iTerm2 as a 
> GPL'd alternative that properly supports copy. (Paste works fine because 
> Terminal.app supports xterm bracketed pastes.)
> 
> Eli, does this sound good to you?

It does (I think it should also be in PROBLEMS), but I wonder whether
we should disable xterm-mouse on Terminal.app (assuming we can detect
it).  It sounds like more people could bump into this tricky issue,
and relying on all of them read NEWS is too optimistic.

What are the downsides of turning this off for Terminal.app?  That's
what Emacs before 31 had, so it cannot be too bad.